API ReferenceHelpers
Updated since
get
/v4/updated-sinceList data points for a zone that have been updated since a given datetime.
Query Parameters
since required
Only return data points updated since this datetime.
Format: ISO 8601 datetime
Example: "2024-05-19T03:00:00Z"
start required
The start datetime to get the data for.
Format: ISO 8601 datetime
Example: "2024-05-19T03:00:00Z"
end required
The end datetime to get the data for.
Format: ISO 8601 datetime
Example: "2024-05-19T08:00:00Z"
zone optional
An Electricity Maps zone key.
Example: "DK-DK2"
lat optional
Latitude of the location to get the data for.
Example: 41.877
lon optional
Longitude of the location to get the data for.
Example: -88.0703
limit optional
Maximum number of updates to return. Cannot exceed 1000.
Default: 100
Range: value <= 1000
threshold optional
ISO-8601 duration; only report updates where the value moved by at least this much time.
Example: "PT0H0M0S"
disableCallerLookup optional
If true, the fallback IP-based zone lookup will not be performed.
Default: false
disableEstimations optional
If true, the response will exclude estimated data points
Default: false
Response Body
application/json
application/json
curl -X GET "https://example.com/v4/updated-since?since=2024-05-19T03%3A00%3A00Z&start=2024-05-19T03%3A00%3A00Z&end=2024-05-19T08%3A00%3A00Z"{ "zone": "DK-DK2", "updates": [ { "datetime": "2024-05-19T03:00:00.000Z", "updated_at": "2025-07-25T12:32:42.039Z", "isEstimated": false, "estimationMethod": "string" } ], "threshold": "PT0H0M0S", "limit": 100, "limitReached": false}Playground
get
/v4/updated-sinceExplore the API with a 14-day trial.